%define name nautilus-actions
%define version 1.9
%define svn r510
%define release %mkrel 0.%svn.1

Summary: Configurable context menu for Nautilus
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp2.grumz.net/grumz/%{name}-%{svn}.tar.bz2
Patch: nautilus-actions-r510-fix-language-list.patch
Patch1: nautilus-actions-r510-fix-linking.patch
Patch2: nautilus-actions-r510-fix-desktop-entry.patch
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://www.grumz.net/?q=taxonomy/term/2/9
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: nautilus-devel >= 2.8.0
BuildRequires: libgnomeui2-devel
BuildRequires: e2fsprogs-devel
BuildRequires: intltool
BuildRequires: gnome-common
Requires: nautilus

%description
Nautilus actions is an extension for Nautilus, the gnome file
manager. It allow to configure program to be launch on files selected
into Nautilus interface.

%prep
%setup -q -n %name
%patch -p0
%patch1 -p0
%patch2 -p0
./autogen.sh

%build
%configure2_5x --enable-commandline-tool
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/nautilus/extensions-2.0/libnautilus-actions.la
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%postun
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_bindir/nautilus-actions-check-actions-change
%_bindir/nautilus-actions-new-config
%_bindir/nautilus-actions-config
%_datadir/applications/nact.desktop
%_libdir/nautilus/extensions-2.0/libnautilus-actions.so
%_datadir/%name
%_datadir/icons/hicolor/*/apps/%name.*


%changelog
* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 1.9-0.r510.1mdv2009.1
+ Revision: 299390
- new snapshot
- update license
- fix build
- fix desktop entry
- fix file list

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-4mdv2009.0
+ Revision: 253572
- rebuild

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 1.4.1-2mdv2008.1
+ Revision: 156465
- fix nautilus extensions dir
- spec cleanup

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 20472
- new version


* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2007.0
- New release 1.4

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2-.0
- Rebuild with latest dbus

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
- Rebuild

* Mon May 01 2006 Gtz Waschk <waschk@mandriva.org> 1.2-1mdk
- handle new icons
- New release 1.2

* Wed Feb 08 2006 Gtz Waschk <waschk@mandriva.org> 1.0-1mdk
- drop gconf schema
- New release 1.0

* Wed Dec 07 2005 Gtz Waschk <waschk@mandriva.org> 0.99-2mdk
- fix buildrequires

* Fri Nov 25 2005 Gtz Waschk <waschk@mandriva.org> 0.99-1mdk
- install gconf schema
- update file list
- New release 0.99

* Tue Sep 27 2005 Gtz Waschk <waschk@mandriva.org> 0.7.1-1mdk
- update file list
- New release 0.7.1

* Tue Sep 13 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- fix source url
- new version

* Thu Sep 08 2005 Gtz Waschk <waschk@mandriva.org> 0.6-2mdk
- fix buildrequires

* Wed Sep 07 2005 Gtz Waschk <waschk@mandriva.org> 0.6-1mdk
- mkrel
- new version

* Wed Sep 07 2005 Gtz Waschk <waschk@mandriva.org> 0.5-1mdk
- initial package

